> For the complete documentation index, see [llms.txt](https://docs.hex-rays.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hex-rays.com/8.5/user-guide/disassembler/disassembly-gallery/c166-processor-with-elf-file.md).

# C166 Processor with ELF file

Assembler code

```
code_libc:00C00D9C ; ===========================================================================
code_libc:00C00D9C
code_libc:00C00D9C ; Segment type: Pure code
code_libc:00C00D9C code_libc       section CODE word public
code_libc:00C00D9C proccode_libc proc
code_libc:00C00D9C                 ; assume dpp0: 1 (page 0x4000)
code_libc:00C00D9C                 ; assume dpp1: 1 (page 0x4000)
code_libc:00C00D9C                 ; assume dpp2: 2 (page 0x8000)
code_libc:00C00D9C                 ; assume dpp3: 3 (page 0xC000)
code_libc:00C00D9C
code_libc:00C00D9C ; =============== S U B R O U T I N E =======================================
code_libc:00C00D9C
code_libc:00C00D9C
code_libc:00C00D9C _$cocofun_7:                            ; CODE XREF: _$cocofun_2+A↓J
code_libc:00C00D9C                                         ; _$cocofun_6_0+6↓J
code_libc:00C00D9C                 mov     r4, r0
code_libc:00C00D9E                 calls   0C0h, __emitchar
code_libc:00C00DA2                 mov     r11, #0
code_libc:00C00DA4                 cmp     r11, r8
code_libc:00C00DA6                 subc    r8, #0
code_libc:00C00DA8                 rets
code_libc:00C00DA8 ; End of function _$cocofun_7
code_libc:00C00DA8
code_libc:00C00DA8 proccode_libc endp
code_libc:00C00DA8 code_libc       ends
code_libc:00C00DA8
code_libc:00C00DAA ; ===========================================================================
code_libc:00C00DAA
code_libc:00C00DAA ; Segment type: Pure code
code_libc:00C00DAA code_libc       section CODE word public
code_libc:00C00DAA proccode_libc proc
code_libc:00C00DAA                 ; assume dpp0: 1 (page 0x4000)
code_libc:00C00DAA                 ; assume dpp1: 1 (page 0x4000)
code_libc:00C00DAA                 ; assume dpp2: 2 (page 0x8000)
code_libc:00C00DAA                 ; assume dpp3: 3 (page 0xC000)
code_libc:00C00DAA
code_libc:00C00DAA ; =============== S U B R O U T I N E =======================================
code_libc:00C00DAA
code_libc:00C00DAA
code_libc:00C00DAA _$cocofun_2:                            ; CODE XREF: code_libc:00C0050C↑P
code_libc:00C00DAA                                         ; code_libc:00C0055C↑P
code_libc:00C00DAA                 calls   0C0h, _$cocofun_6_0

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hex-rays.com/8.5/user-guide/disassembler/disassembly-gallery/c166-processor-with-elf-file.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
